Uploaded image for project: 'JikesRVM'
  1. JikesRVM
  2. RVM-942

GNU Classpath does not build on x86-64_linux under Debian Squeeze anymore

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Medium
    • Resolution: Cannot Reproduce
    • Affects Version/s: git tip
    • Fix Version/s: 3.1.4
    • Component/s: Infrastructure: Build
    • Labels:
      None
    • Environment:

      Linux version 2.6.32-5-amd64 (Debian 2.6.32-35squeeze2) (dannf@debian.org) (gcc version 4.3.5 (Debian 4.3.5-4) ) #1 SMP Fri Sep 9 20:23:16 UTC 2011

      Description

      This problem affects the current Mercurial tip, but was introduced in revision f47765eca54f.

      Despite cp.libdirs being set to --libdir=/usr/lib32 --x-libraries=/usr/lib32 and despite package ia32-libs-gtk <http://packages.debian.org/squeeze/amd64/ia32-libs-gtk/filelist> being installed

      > ls /usr/lib32/libgtk-x11-2.0*
      /usr/lib32/libgtk-x11-2.0.so.0
      /usr/lib32/libgtk-x11-2.0.so.0.2000.1

      the build fails with the following error message:

      [exec] /usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-linux-gnu/4.4.5/../../../libgtk-x11-2.0.so when searching for -lgtk-x11-2.0
      [exec] /usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-linux-gnu/4.4.5/../../../libgtk-x11-2.0.a when searching for -lgtk-x11-2.0
      [exec] /usr/bin/ld: skipping incompatible /usr/lib/libgtk-x11-2.0.so when searching for -lgtk-x11-2.0
      [exec] /usr/bin/ld: skipping incompatible /usr/lib/libgtk-x11-2.0.a when searching for -lgtk-x11-2.0
      [exec] /usr/bin/ld: cannot find -lgtk-x11-2.0
      [exec] collect2: ld returned 1 exit status

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              sewe Andreas Sewe
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: